package univlyon1.recettes.actions;

import univlyon1.recettes.dao.RecetteORMDAO;
import univlyon1.recettes.modele.Ingredient;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.PrintStream;

/**
 * Created by Emmanuel Coquery on 16/09/2015.
 */
public class CreerIngredientAction extends CreateNamedDescribedAction {

    public CreerIngredientAction(BufferedReader in, PrintStream out, RecetteORMDAO dao) {
        super(in, out, dao);
    }

    @Override
    public String getDescription() {
        return "Ajouter un ingrdient";
    }

    @Override
    public String run() throws IOException {
        String nom = demandeNom();
        String description = demandeDescription();
        Ingredient ingredient = new Ingredient();
        ingredient.setNom(nom);
        ingredient.setDescription(description);
        dao.createOrUpdate(ingredient);
        return "Ingredient cr ou mis  jour.";
    }
}
