package univlyon1.recettes.actions;

import univlyon1.recettes.dao.RecetteORMDAO;
import univlyon1.recettes.modele.Recette;

import java.io.IOException;

/**
 * Created by Emmanuel Coquery on 12/09/2015.
 */
public class ListRecettesAction implements Action {

    RecetteORMDAO dao;

    public ListRecettesAction(RecetteORMDAO dao) {
        this.dao = dao;
    }


    @Override
    public String getDescription() {
        return "Afficher la liste des recettes";
    }

    @Override
    public String run() throws IOException {
        StringBuilder sb = new StringBuilder("Recettes disponibles:\n");
        for(Recette r : dao.getAllRecette()) {
            sb.append(r.getNom());
            sb.append("\n");
        }
        return sb.toString();
    }
}
