CREATE TABLE Recette(
  nom VARCHAR(255) PRIMARY KEY,
  description CLOB,
  url_image VARCHAR(1024)
);

CREATE TABLE Ingredient(
  nom VARCHAR(255) PRIMARY KEY,
  description CLOB
);

CREATE TABLE Quantite(
  recette VARCHAR(255) REFERENCES Recette(nom),
  ingredient VARCHAR(255) REFERENCES Ingredient(nom),
  quantite DOUBLE,
  unite VARCHAR(40),
  PRIMARY KEY (recette,ingredient)
);

CREATE TABLE Instruction(
  recette VARCHAR(255) REFERENCES Recette(nom),
  ordre INTEGER,
  description CLOB,
  PRIMARY KEY (recette,ordre)
);